Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.app.generate
Enum TargetLanguage

    java.lang.Object
      java.lang.Enum<TargetLanguage>
          org.encog.app.generate.TargetLanguage

All Implemented Interfaces:
  Serializable, Comparable<TargetLanguage>

    public enum TargetLanguage

extends Enum<TargetLanguage>

Specifies the target language for Encog code generation.

Enum Constant Summary
`CSharp` Generate using C#.
`Java` Generate using Java.
`JavaScript` Generate using Javascript.
`MQL4` Generate for MetaTrader 4 using MQL4.
`NinjaScript` Generate for NinjaTrader 7 using NinjaScript.
`NoGeneration` No code generation.

Method Summary
`String` | `getExtension()`
`static TargetLanguage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TargetLanguage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoGeneration

    public static final TargetLanguage NoGeneration

  No code generation.

### Java

    public static final TargetLanguage Java

  Generate using Java.

### JavaScript

    public static final TargetLanguage JavaScript

  Generate using Javascript.

### CSharp

    public static final TargetLanguage CSharp

  Generate using C#.

### MQL4

    public static final TargetLanguage MQL4

  Generate for MetaTrader 4 using MQL4.

### NinjaScript

    public static final TargetLanguage NinjaScript

  Generate for NinjaTrader 7 using NinjaScript.

Method Detail

### values

    public static TargetLanguage[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TargetLanguage c : TargetLanguage.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TargetLanguage valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getExtension

    public String getExtension()

  Returns:
    The standard file extension to use for each of the languages.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.